Bug 999005 - [abrt] pdfshuffler-0.6.0-0.4.20120302svn64.fc19: INT_cairo_transform: Process /usr/bin/python2.7 was killed by signal 11 (SIGSEGV)
[abrt] pdfshuffler-0.6.0-0.4.20120302svn64.fc19: INT_cairo_transform: Process...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pdfshuffler (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Fabian Affolter
Fedora Extras Quality Assurance
abrt_hash:5a3888e9a9097d672e5025484ec...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 10:02 EDT by Steven Stern
Modified: 2013-08-25 18:54 EDT (History)
1 user (show)

See Also:
Fixed In Version: pdfshuffler-0.6.0-3.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-25 18:54:53 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (114.18 KB, text/plain)
2013-08-20 10:02 EDT, Steven Stern
no flags Details
File: cgroup (140 bytes, text/plain)
2013-08-20 10:02 EDT, Steven Stern
no flags Details
File: core_backtrace (94.91 KB, text/plain)
2013-08-20 10:02 EDT, Steven Stern
no flags Details
File: dso_list (11.96 KB, text/plain)
2013-08-20 10:02 EDT, Steven Stern
no flags Details
File: environ (1.54 KB, text/plain)
2013-08-20 10:02 EDT, Steven Stern
no flags Details
File: exploitable (82 bytes, text/plain)
2013-08-20 10:02 EDT, Steven Stern
no flags Details
File: limits (1.29 KB, text/plain)
2013-08-20 10:02 EDT, Steven Stern
no flags Details
File: maps (62.94 KB, text/plain)
2013-08-20 10:03 EDT, Steven Stern
no flags Details
File: open_fds (1.55 KB, text/plain)
2013-08-20 10:03 EDT, Steven Stern
no flags Details
File: proc_pid_status (950 bytes, text/plain)
2013-08-20 10:03 EDT, Steven Stern
no flags Details

  None (edit)
Description Steven Stern 2013-08-20 10:02:17 EDT
Description of problem:
Attempted to open multiple files at one time

Version-Release number of selected component:
pdfshuffler-0.6.0-0.4.20120302svn64.fc19

Additional info:
reporter:       libreport-2.1.6
backtrace_rating: 4
cmdline:        /usr/bin/python /usr/bin/pdfshuffler
crash_function: INT_cairo_transform
executable:     /usr/bin/python2.7
kernel:         3.10.7-200.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Aug 20 08:53:26 sds-desk-2 abrt[3753]: Saved core dump of pid 3720 (/usr/bin/python2.7) to /var/tmp/abrt/ccpp-2013-08-20-08:53:25-3720 (162615296 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 INT_cairo_transform at cairo.c:1272
 #1 CairoOutputDev::setDefaultCTM at CairoOutputDev.cc:325
 #2 Gfx::Gfx at Gfx.cc:565
 #3 Page::createGfx at Page.cc:489
 #4 Page::displaySlice at Page.cc:518
 #5 _poppler_page_render at poppler-page.cc:362
 #6 _wrap_poppler_page_render at poppler.c:3309
 #7 call_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4098
 #8 PyEval_EvalFrameEx at /usr/src/debug/Python-2.7.5/Python/ceval.c:2740
 #9 fast_function at /usr/src/debug/Python-2.7.5/Python/ceval.c:4184
Comment 1 Steven Stern 2013-08-20 10:02:20 EDT
Created attachment 788508 [details]
File: backtrace
Comment 2 Steven Stern 2013-08-20 10:02:27 EDT
Created attachment 788509 [details]
File: cgroup
Comment 3 Steven Stern 2013-08-20 10:02:30 EDT
Created attachment 788510 [details]
File: core_backtrace
Comment 4 Steven Stern 2013-08-20 10:02:34 EDT
Created attachment 788511 [details]
File: dso_list
Comment 5 Steven Stern 2013-08-20 10:02:37 EDT
Created attachment 788512 [details]
File: environ
Comment 6 Steven Stern 2013-08-20 10:02:50 EDT
Created attachment 788513 [details]
File: exploitable
Comment 7 Steven Stern 2013-08-20 10:02:58 EDT
Created attachment 788514 [details]
File: limits
Comment 8 Steven Stern 2013-08-20 10:03:01 EDT
Created attachment 788515 [details]
File: maps
Comment 9 Steven Stern 2013-08-20 10:03:03 EDT
Created attachment 788516 [details]
File: open_fds
Comment 10 Steven Stern 2013-08-20 10:03:06 EDT
Created attachment 788517 [details]
File: proc_pid_status
Comment 11 Fedora Update System 2013-08-22 04:59:20 EDT
pdfshuffler-0.6.0-3.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/pdfshuffler-0.6.0-3.fc19
Comment 12 Fedora Update System 2013-08-22 20:29:33 EDT
Package pdfshuffler-0.6.0-3.fc19:
* should fix your issue,
* was pushed to the Fedora 19 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing pdfshuffler-0.6.0-3.fc19'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-15145/pdfshuffler-0.6.0-3.fc19
then log in and leave karma (feedback).
Comment 13 Steven Stern 2013-08-23 12:30:57 EDT
Thanks.  This fixed my problem. On my way to give some karma now.
Comment 14 Fedora Update System 2013-08-25 18:54:53 EDT
pdfshuffler-0.6.0-3.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.